List Host Details of Specific Asset

Get details of a specific asset by providing an asset ID.

POST /am/v1/asset/host/id

Input ParametersInput Parameters

The following table includes the input parameters used to get a details of specific assets.

Parameter

Mandatory/

Optional

Data Type

Description

excludeFields 

Optional

String

Comma-separated list of fields to be excluded from the asset object in the response. Default is None. You can choose from the list of fields specified in the section Limit your results.

For example, to exclude openPort and software from the response:

excludeFields=
openPort,software

includeFields 

Optional

String

Comma separated list of fields to be included in the asset object in the response. Default is All. You can choose from the list of fields specified in the section Limit your results.

For example, to include only operatingSystem and hardware in the response:

includeFields=
operatingSystem,hardware

assetId 

 

Mandatory

Integer

Use to specify the the AssetIdAssetId for which you want to retrieve the details.

Authorization 

Mandatory

String

Authorization token to authenticate to the Qualys Enterprise TruRisk™ Platform . Prepend the token with Bearer and one space. For example - Bearer authToken

Sample - List Details of Specified Asset by AssetIdSample - List Details of Specified Asset by AssetId

The following sample request and response can be used to get details of specified asset by assets ID.

Request

curl -X POST
"<qualys_base_url>/am/v1/asset/host/id?assetId=10685701"
-H "Authorization: Bearer <JWTToken>"
-H "Content-Type: application/json" 

Response

{
  "responseMessage": "Valid API Access",
  "count": 1,
  "responseCode": "SUCCESS",
  "lastSeenAssetId": null,
  "hasMore": 0,
  "assetListData": {
    "asset": [
      {
        "assetId": 10685701,
        "assetUUID": "c146d7e5-xxxx-xxxx-xxxx-0990d09e357b",
        "hostId": 2289420,
        "lastModifiedDate": "2019-08-01T21:53:16.048Z",
        "agentId": "c146d7e5-2d1d-4201-b654-0990d09e357b",
        "createdDate": "2019-07-25T20:57:45.000Z",
        "sensorLastUpdatedDate": "2019-08-01T21:53:14.552Z",
        "assetType": "HOST",
        "address": "10.90.2.249",
        "dnsName": null,
        "assetName": "Amy-POD4-Agent-quays_iz72",
        "netbiosName": null,
        "timeZone": "UTC",
        "biosDescription": "Xen 4.2.amazon",
        "lastBoot": "2019-07-25T20:50:07.141Z",
        "totalMemory": 989,
        "cpuCount": 1,
        "lastLoggedOnUser": "centos",
        "biosSerialNumber": "",
        "biosAssetTag": "Not Specified",
        "isContainerHost": false,
        "operatingSystem": {
          "osName": "CentOS Linux",
          "fullName": "CentOS 7",
          "category": "Linux / Server",
          "category1": "Linux",
          "category2": "Server",
          "productName": "CentOS",
          "publisher": "The CentOS Project",
          "edition": "",
          "marketVersion": "7",
          "version": "1810",
          "update": "",
          "architecture": "",
          "lifecycle": {
            "gaDate": "2018-12-03T00:00:00.000Z",
            "eolDate": "2020-12-31T00:00:00.000Z",
            "eosDate": "2024-06-30T00:00:00.000Z",
            "stage": "GA",
            "lifeCycleConfidence": "Exact",
            "eolSupportStage": "Full updates",
            "eosSupportStage": "Maintenance Updates"
          },
          "taxonomy": {
            "id": null,
            "name": "Linux / Server",
            "category1": "Linux",
            "category2": "Server"
          },
          "productUrl": "productURL",
          "productFamily": null
        },
        "hardware": {
          "fullName": "",
          "category": "Computers / Unidentified",
          "category1": "Computers",
          "category2": "Unidentified",
          "manufacturer": "Unidentified",
          "productName": "Unidentified",
          "model": "",
          "lifecycle": {
            "introDate": null,
            "gaDate": null,
            "eosDate": null,
            "obsoleteDate": null,
            "stage": null,
            "lifeCycleConfidence": " "
          },
          "taxonomy": {
            "id": null,
            "name": "Computers / Unidentified",
            "category1": "Computers",
            "category2": "Unidentified"
          },
          "productUrl": ",,",
          "productFamily": null
        },
        "userAccountListData": {
          "userAccount": [
            {
              "name": "root"
            },
            {
              "name": "centos"
            }
          ]
        },
        "openPortListData": {
          "openPort": [
            {
              "port": 663,
              "description": "",
              "protocol": "UDP",
              "detectedService": "Universal Addresses to RPC Program Number Mapper",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 68,
              "description": "",
              "protocol": "UDP",
              "detectedService": "Provides the ISC DHCP client daemon and dhclient-script",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 33060,
              "description": "",
              "protocol": "TCP",
              "detectedService": "A very fast and reliable SQL database server",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 323,
              "description": "",
              "protocol": "UDP",
              "detectedService": "An NTP client/server",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 80,
              "description": "",
              "protocol": "TCP",
              "detectedService": "Apache HTTP Server",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 25,
              "description": "",
              "protocol": "TCP",
              "detectedService": "Postfix Mail Transport Agent",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 3306,
              "description": "",
              "protocol": "TCP",
              "detectedService": "A very fast and reliable SQL database server",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 22,
              "description": "",
              "protocol": "TCP",
              "detectedService": "An open source SSH server daemon",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 111,
              "description": "",
              "protocol": "TCP",
              "detectedService": "A System and Service Manager",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            },
            {
              "port": 111,
              "description": "",
              "protocol": "UDP",
              "detectedService": "A System and Service Manager",
              "firstFound": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z"
            }
          ]
        },
        "volumeListData": {
          "volume": [
            {
              "name": "/dev/xvda1",
              "free": 4930144,
              "size": 8377344
            },
            {
              "name": "devtmpfs",
              "free": 483740,
              "size": 483740
            },
            {
              "name": "tmpfs",
              "free": 506596,
              "size": 506596
            },
            {
              "name": "tmpfs",
              "free": 449168,
              "size": 506596
            }
          ]
        },
        "processor": {
          "description": "Intel(R) Xeon(R)",
          "speed": 2400,
          "numCPUs": 0
        },
        "networkInterfaceListData": {
          "networkInterface": [
            {
              "hostname": "",
              "addressIpV4": null,
              "addressIpV6": null,
              "macAddress": "xx:xx:xx:7c:xx:xx",
              "interfaceName": "eth0",
              "dnsAddress": "xx.x.xxx.xx,xx.x.xxx.xx",
              "gatewayAddress": "10.90.2.1",
              "addresses": "xx.xx.x.xxx,fe80:0:0:0:1037:5bff:fe7c:xxxx"
            }
          ]
        },
        "softwareListData": {
          "software": [
            {
              "fullName": "OpenBSD OpenSSH",
              "softwareType": "Application",
              "isIgnored": 0,
              "ignoredReason": null,
              "category": "Networking / Access Software",
              "category1": "Networking",
              "category2": "Access Software",
              "productName": "OpenSSH",
              "component": "Server",
              "publisher": "OpenBSD",
              "edition": "",
              "marketVersion": "7",
              "version": "7.4",
              "update": "7.4p1",
              "architecture": "",
              "installDate": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z",
              "lastUseDate": null,
              "language": null,
              "formerlyKnownAs": "OpenBSD Secure Shell",
              "isPackage": true,
              "isPackageComponent": true,
              "packageName": "",
              "productUrl": "productURL",
              "lifecycle": {
                "gaDate": "2016-12-19T00:00:00.000Z",
                "eolDate": "2021-01-19T00:00:00.000Z",
                "eosDate": "2025-04-19T00:00:00.000Z",
                "stage": "GA",
                "lifeCycleConfidence": "Calculated",
                "eolSupportStage": " ",
                "eosSupportStage": " "
              },
              "supportStageDesc": null,
              "license": {
                "category": "Open Source",
                "subcategory": "BSD 2-Clause License"
              }
            },
            {
              "fullName": "Qualys Cloud Agent",
              "softwareType": "Application",
              "isIgnored": 0,
              "ignoredReason": null,
              "category": "Security / Agent",
              "category1": "Security",
              "category2": "Agent",
              "productName": "Cloud Agent",
              "component": "Client",
              "publisher": "Qualys",
              "edition": "",
              "marketVersion": null,
              "version": null,
              "update": null,
              "architecture": "",
              "installDate": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z",
              "lastUseDate": null,
              "language": null,
              "formerlyKnownAs": "",
              "isPackage": false,
              "isPackageComponent": false,
              "packageName": "",
              "productUrl": "ProductURL",
              "lifecycle": {
                "gaDate": null,
                "eolDate": null,
                "eosDate": null,
                "stage": null,
                "lifeCycleConfidence": null,
                "eolSupportStage": null,
                "eosSupportStage": null
              },
              "supportStageDesc": null,
              "license": {
                "category": "Commercial",
                "subcategory": "Free"
              }
            },
            {
              "fullName": "Apache httpd",
              "softwareType": "Application",
              "isIgnored": 0,
              "ignoredReason": null,
              "category": "Network Application / Web Servers",
              "category1": "Network Application",
              "category2": "Web Servers",
              "productName": "httpd",
              "component": "Server",
              "publisher": "Apache",
              "edition": "",
              "marketVersion": "2",
              "version": "2.4",
              "update": "2.4.6",
              "architecture": "",
              "installDate": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z",
              "lastUseDate": null,
              "language": null,
              "formerlyKnownAs": "HTTP Server, Apache",
              "isPackage": false,
              "isPackageComponent": true,
              "packageName": "",
              "productUrl": "productURL",
              "lifecycle": {
                "gaDate": "2012-02-21T00:00:00.000Z",
                "eolDate": null,
                "eosDate": null,
                "stage": "GA",
                "lifeCycleConfidence": "Exact",
                "eolSupportStage": "Not Announced",
                "eosSupportStage": "Not Announced"
              },
              "supportStageDesc": null,
              "license": {
                "category": "Open Source",
                "subcategory": "Apache License)"
              }
            },
            {
              "fullName": "Python Python",
              "softwareType": "Application",
              "isIgnored": 0,
              "ignoredReason": null,
              "category": "Application Development / Programming Languages",
              "category1": "Application Development",
              "category2": "Programming Languages",
              "productName": "Python",
              "component": "",
              "publisher": "Python",
              "edition": "",
              "marketVersion": "2",
              "version": "2.7",
              "update": "2.7.5",
              "architecture": "",
              "installDate": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z",
              "lastUseDate": null,
              "language": null,
              "formerlyKnownAs": "",
              "isPackage": false,
              "isPackageComponent": false,
              "packageName": "",
              "productUrl": "productURL",
              "lifecycle": {
                "gaDate": "2010-07-03T00:00:00.000Z",
                "eolDate": "2020-01-01T00:00:00.000Z",
                "eosDate": "2020-01-01T00:00:00.000Z",
                "stage": "GA",
                "lifeCycleConfidence": "Exact",
                "eolSupportStage": "End-of-life",
                "eosSupportStage": "End-of-life"
              },
              "supportStageDesc": "Python's policy is to drop support major versions once they reach their end of life",
              "license": {
                "category": "Open Source",
                "subcategory": "Python License (Python-2.0)"
              }
            },
            {
              "fullName": "Oracle MySQL Server",
              "softwareType": "Application",
              "isIgnored": 0,
              "ignoredReason": null,
              "category": "Databases / RDBMS",
              "category1": "Databases",
              "category2": "RDBMS",
              "productName": "MySQL Server",
              "component": "Server",
              "publisher": "Oracle",
              "edition": "",
              "marketVersion": null,
              "version": null,
              "update": null,
              "architecture": "",
              "installDate": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "1970-01-01T00:00:00.000Z",
              "lastUseDate": null,
              "language": null,
              "formerlyKnownAs": "",
              "isPackage": false,
              "isPackageComponent": true,
              "packageName": "",
              "productUrl": "productURL",
              "lifecycle": {
                "gaDate": null,
                "eolDate": null,
                "eosDate": null,
                "stage": null,
                "lifeCycleConfidence": null,
                "eolSupportStage": null,
                "eosSupportStage": null
              },
              "supportStageDesc": "Puts you in control of your Database.",
              "license": {
                "category": "Open Source",
                "subcategory": "GNU General Public License v2.0 (GPL-2.0)"
              }
            }
          ]
        },
        "provider": "AWS",
        "cloudProvider": {
          "aws": {
            "ec2": {
              "accountId": "205767712438",
              "availabilityZone": "us-east-1e",
              "hasAgent": true,
              "hostname": "ip-xx-xx-x-xxx.qualys.com",
              "imageId": "ami-02eac2c0129f6376b",
              "instanceId": "i-087965612d096c93d",
              "instanceState": "RUNNING",
              "instanceType": "t2.micro",
              "qualysScanner": false,
              "kernelId": "",
              "launchdate": 1564087655000,
              "privateDNS": "ip-xx-xx-x-xxx.qualys.com",
              "privateIpAddress": "xx.xx.x.xxx",
              "publicDNS": "DNS.com",
              "publicIpAddress": "3.86.24.68",
              "region": {
                "code": "us-east-1",
                "name": "US East (N. Virginia)"
              },
              "spotInstance": false,
              "subnetId": "subnet-xxxxxxxx",
              "vpcId": "vpc-xxxxxxxx"
            },
            "tags": [
              {
                "key": "Name",
                "value": "value"
              }
            ]
          },
          "azure": null,
          "gcp": null
        },
        "agent": {
          "version": "2.4.0.75",
          "configurationProfile": "Initial Profile",
          "activations": [
            {
              "key": "8e44de48-xxxx-xxxx-xxxx-9ce5b342d09e",
              "status": "ACTIVE"
            }
          ],
          "connectedFrom": "10.90.2.249",
          "lastActivity": 1564695367151,
          "lastCheckedIn": 1564695367151,
          "lastInventory": 1564695367000,
          "udcManifestAssigned": false
        },
        "sensor": {
          "activatedForModules": [
            "SCA",
            "PC",
            "VM",
            "CERTVIEW"
          ],
          "pendingActivationForModules": [],
          "lastVMScan": 1564693585000,
          "lastComplianceScan": 1564672975000,
          "lastFullScan": 1564693585000,
          "errorStatus": false
        },
        "container": {
          "product": null,
          "version": null,
          "noOfContainers": 0,
          "noOfImages": 0
        },
        "inventory": {
          "source": "QAGENT",
          "created": 1564088265000,
          "lastUpdated": 1564696288000
        },
        "activity": {
          "source": "QAGENT",
          "lastScannedDate": 1564696288000
        },
        "tagList": {
          "tag": [
            {
              "tagId": 104775814,
              "tagName": "EC2",
              "foregroundColor": 0,
              "backgroundColor": 0,
              "businessImpact": "LOW"
            },
            {
              "tagId": 104775815,
              "tagName": "EC2-3xx",
              "foregroundColor": 0,
              "backgroundColor": 0,
              "businessImpact": "LOW"
            },
            {
              "tagId": 104775816,
              "tagName": "EC2-2xx",
              "foregroundColor": 0,
              "backgroundColor": 0,
              "businessImpact": "LOW"
            },
            {
              "tagId": 104776729,
              "tagName": "Cloud Agent",
              "foregroundColor": 0,
              "backgroundColor": 0,
              "businessImpact": "LOW"
            }
          ]
        },
        "serviceList": {
          "service": [
            {
              "description": "",
              "name": "auditd.service",
              "status": "loaded/active/running"
            },
            {
              "description": "",
              "name": "chronyd.service",
              "status": "loaded/active/running"
            },
            {
              "description": "",
              "name": "cloud-config.service",
              "status": "loaded/active/exited"
            }
          ]
        }
      }
    ]
  }
}